Package com.pixelmed.convert

# Class Immunostaining.ImmunostainingChannel

java.lang.Object
com.pixelmed.convert.Immunostaining.ImmunostainingChannel

Enclosing class:
  Immunostaining

public class Immunostaining.ImmunostainingChannel extends Object

## Constructor Summary

Constructors
Constructor
Description
`ImmunostainingChannel(String channelID, String channelName)`
`ImmunostainingChannel(String channelID, String channelName, String cycleNumber, String subCycleNumber, String targetName, String antibodyName, String antibodyRole, String rrid, String fluorophore, String clone, String lot, String vendor, String catalogNumber, String excitationWavelength, String emissionWavelength, String dilution, String concentration)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ImmunostainingChannel

public ImmunostainingChannel(String channelID, String channelName, String cycleNumber, String subCycleNumber, String targetName, String antibodyName, String antibodyRole, String rrid, String fluorophore, String clone, String lot, String vendor, String catalogNumber, String excitationWavelength, String emissionWavelength, String dilution, String concentration)

### ImmunostainingChannel

public ImmunostainingChannel(String channelID, String channelName)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`